Subject: Re: Shell avoidance in make-3.79.1-3
From: Earl Chew <[email-masked]>
To: Randall R Schulz <[email-masked]>
Cc: [email-masked]
Date: Mon, 25 Jun 2001 17:10:43 -0700

Randall R Schulz wrote:
> That leaves only the question: Why are you asking when you know
> already?

The makefile:

	all: ; ps

tells me:

bash-2.05$ make -f ../foo.mk
ps
      PID    PPID    PGID     WINPID TTY  UID    STIME COMMAND
      317       1     317        317  -1  500 14:59:36 /bin/bash
      461     317     461        549  -1  500 14:59:41 /usr/bin/make
      591     461     461        224  -1  500 14:59:41 /bin/sh
      662     591     461        585  -1  500 14:59:41 /usr/bin/ps

that make is invoking /bin/sh in order to invoke /usr/bin/ps.

Why isn't make invoking /usr/bin/ps directly?

Earl
-- 
> ---------------------------------------------------------------------+
> Earl Chew                              http://www.agilent.com        |
> Agilent Technologies                   mailto:[email-masked]  |
> Advanced Networks Division             Tel:   +1 604 454 3411        |
> 2500-4710 Kingsway                     Fax:   +1 604 454 3401        |
> Burnaby BC V5H 4M2 Canada                                            |
> ---------------------------------------------------------------------+

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple